## python-filteralchemy 0.1.0+git20190401

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme

six
webargs
marshmallow-sqlalchemy

=== debian/changelog ===
python-filteralchemy (0.1.0+git20190401-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:50:56 +0200

python-filteralchemy (0.1.0+git20190401-0kali2) kali-dev; urgency=medium

  * Add a patch to fix the search of pkg_resources

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Apr 2023 11:24:07 +0200

python-filteralchemy (0.1.0+git20190401-0kali1) kali-dev; urgency=medium

  * Update d/watch to point to fork branch of git.
  * New upstream version 0.1.0+git20190401
  * Remove failing tests
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 10 Mar 2023 13:57:00 -0600

python-filteralchemy (0.1.0+git20171018-0kali4) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Update d/watch to point to git repository HEAD.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 08 Feb 2023 14:42:55 -0600

python-filteralchemy (0.1.0+git20171018-0kali3) kali-dev; urgency=medium

  * Fix Standards-Version

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Dec 2019 14:41:32 +0100

python-filteralchemy (0.1.0+git20171018-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Update Vcs-* fields for the move to gitlab.com
  * Use debhelper-compat 12
  * Remove Python 2 module
  * Bump Standards-Version to 4.4.1

  [ g0tmi1k ]
  * Update Maintainer field

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Dec 2019 14:20:56 +0100

python-filteralchemy (0.1.0+git20171018-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Aug 2018 09:51:05 +0200

=== debian/control ===
Source: python-filteralchemy
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-marshmallow, python3-marshmallow-sqlalchemy, python3-sphinx-rtd-theme, python3-webargs, python3-six, python3-pytest, python3-flask, python3-pytest-cov
Standards-Version: 4.6.2
Homepage: https://github.com/infobyte/filteralchemy
Testsuite: autopkgtest-pkg-python

Package: python3-filteralchemy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-filteralchemy-doc
Description: Declarative query builder for SQLAlchemy (Python 3)
 This package contains a declarative query builder for SQLAlchemy. It uses
 marshmallow-sqlalchemy to auto-generate filter fields and webargs to parse
 field parameters from the request. Use it to filter data with minimal
 boilerplate.
 .
 This package installs the library for Python 3.

Package: python-filteralchemy-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Declarative query builder for SQLAlchemy (common documentation)
 This package contains a declarative query builder for SQLAlchemy. It uses
 marshmallow-sqlalchemy to auto-generate filter fields and webargs to parse
 field parameters from the request. Use it to filter data with minimal
 boilerplate.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=filteralchemy

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-filteralchemy/usr/lib/python3*/dist-packages/.coverage
